#
# spec file for package rubygem-raindrops
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-raindrops
Version:        0.20.0
Release:        1.12
%define mod_name raindrops
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://yhbt.net/raindrops/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-raindrops-rpmlintrc
Source2:        gem2rpm.yml
Summary:        real-time stats for preforking Rack servers
License:        LGPL-2.1-or-later
Group:          Development/Languages/Ruby

%description
raindrops is a real-time stats toolkit to show statistics for Rack HTTP
servers.  It is designed for preforking servers such as unicorn, but
should support any Rack HTTP server on platforms supporting POSIX shared
memory.  It may also be used as a generic scoreboard for sharing atomic
counters across multiple processes.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING LICENSE NEWS README" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.20.0
  see installed NEWS
  === raindrops 0.20.0 / 2021-12-06 23:41 UTC
    Raindrops may now use file-backed mmap() rather than anonymous
    memory.  Thanks to KJ Tsanaktsidis for the patch:
    https://yhbt.net/raindrops-public/20211125065618.3432-1-ktsanaktsidis@zendesk.com/T/
    The documentation is also updated to note our mail archives are now
    available via IMAP(S).
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.19.2
  see installed NEWS
  === raindrops 0.19.2 / 2021-05-25 23:13 UTC
    This release fixes compatibility with GC.compact on Ruby 3.x
    when using ListenStats on Linux.  The listener stats
    functionality is rarely used and does not affect most users
    who just have raindrops installed for shared atomic counters.
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.19.1
  see installed NEWS
  === raindrops 0.19.1 / 2020-01-08 09:31 UTC
    This release fixes some warnings on newer Rubies.
    We're no longer on bogomips.org since it's due
    for expiry and I can't pay extortionists for a .org, so
    s/bogomips.org/yhbt.net/ for now, and be prepared to move again
    when extortionists move onto extorting the .net TLD.
    doc: switch homepage to dark216
    ext/raindrops/extconf: fix cflags reset on ancient CC
    fixes for newer rubies
    replace bogomips.org with yhbt.net
* Mon Sep 11 2017 coolo@suse.com
- updated to version 0.19.0
  see installed NEWS
  === raindrops 0.19.0 - Rack 2.x middleware compatibility / 2017-08-09 23:52 UTC
    This release fixes Rack 2.x compatibility for the few users of
    Raindrops::Middleware
    <https://bogomips.org/raindrops/Raindrops/Middleware.html>.
    Thanks to Dmytro Shteflyuk for this release.
    No need to upgrade unless you use Raindrops::Middleware with
    Rack 2.x.
    There's also a few minor, inconsequential cleanups.
    Dmytro Shteflyuk (1):
    Properly override respond_to? in Raindrops::Middleware::Proxy
    Eric Wong (2):
    Ruby thread compatibility updates
    tcp_info: remove unnecessary extconf.h include
* Thu Mar 23 2017 coolo@suse.com
- updated to version 0.18.0
  see installed NEWS
  === raindrops 0.18.0 / 2017-03-23 02:44 UTC
    The most notable feature of this release is the addition of
    FreeBSD and OpenBSD TCP_INFO support.  This includes the
    Raindrops::TCP for portably mapping TCP state names to
    platform-dependent numeric values:
    https://bogomips.org/raindrops/Raindrops.html#TCP
    Thanks to Jeremy Evans and Simon Eskildsen on the
    unicorn-public@bogomips.org mailing list for inspiring
    these changes to raindrops.
    There's also a few internal cleanups, and documentation
    improvements, including some fixes to the largely-forgotten
    Raindrops::Aggreage::PMQ class:
    https://bogomips.org/raindrops/Raindrops/Aggregate/PMQ.html
    20 changes since 0.17.0:
    test_inet_diag_socket: fix Fixnum deprecation warning
    TODO: add item for IPv6 breakage
    ext: fix documentation for C ext-defined classes
    TCP_Info: custom documentation for #get!
    TypedData C-API conversion
    test_watcher: disable test correctly when aggregate is missing
    tcp_info: support this struct under FreeBSD
    define Raindrops::TCP hash for TCP states
    linux_inet_diag: reduce stack usage and simplify
    avoid reading errno repeatedly
    aggregate/pmq: avoid false sharing of lock buffers
    aggregate/pmq: remove io-extra requirement
    aggregate/pmq: avoid File#stat allocation
    Merge remote-tracking branch 'origin/freebsd'
    Merge remote-tracking branch 'origin/aggregate-pmq'
    doc: remove private email support address
    doc: update location of TCP_INFO-related stuff
    build: avoid olddoc for building the RubyGem
    doc: document Raindrops::TCP hash
    aggregate/pmq: update version numbers for Ruby and Linux
* Mon Aug  1 2016 coolo@suse.com
- updated to version 0.17.0
  see installed NEWS
  === raindrops 0.17.0 - rack 2.x updates / 2016-07-31 15:19 UTC
    This release features minor updates to support rack 2.x
    while maintaining support for rack 1.2 and later.
    As a result, Ruby 1.8.6 compatibility is gone, but
    Ruby 1.8.7 probably still works, for now.
    There's also a minor warning fix, doc updates, and
    the homepage now supports HTTPS (HTTP remains supported)
    5 changes since raindrops 0.16.0:
    drop Rack::Utils.bytesize dependency
    gemspec: bump Rack dependency
    linux_inet_diag: GCC attribute format check
    use HTTPS and move homepage to https://bogomips.org/raindrops/
    examples: add yahns config, zbatery is abandoned
* Wed Mar  2 2016 mrueckert@suse.de
- added rpmlintrc to fix the warnings
* Tue Mar  1 2016 coolo@suse.com
- updated to version 0.16.0
  see installed NEWS
  === raindrops 0.16.0 - minor fixes and workarounds / 2016-02-29 12:36 UTC
    There's mainly a fix/workaround for Ruby 2.3 now returning
    locale-aware strings for File.readlink and our test suite
    using strange paths allowed by *nix.
    https://bugs.ruby-lang.org/issues/12034
    tcp_listener_stats won't return "true" object placeholders
    if stats are configured for a non-existent listener.
    There are also minor optimizations for Ruby 2.2+ (at the expense
    of 2.1 and earlier).
    And the usual round of minor tweaks and doc updates.
    10 changes since v0.15.0:
    gemspec: avoid circular dependency on unicorn
    remove optimizations which made sense for older rubies
    linux: workaround Ruby 2.3 change
    linux: remove Pathname stdlib dependency
    add .gitattributes for Ruby method detection
    middleware: minor bytecode size reduction
    doc: update URLs and references
    README: remove indentation from URLs in RDoc
    linux: tcp_listener_stats drops "true" placeholders
    build: use '--local' domain for dev gem install
* Wed Jul 22 2015 coolo@suse.com
- updated to version 0.15.0
  see installed NEWS
  === raindrops 0.15.0 - non-glibc compat fix on Linux / 2015-07-22 00:30 UTC
    Thanks to Doug Forster for sending us the report.
    No other fixes
  * check for the existence of linux/tcp.h
* Fri Jun 26 2015 coolo@suse.com
- updated to version 0.14.0
  ChangeLog removed upstream
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.13.0
    raindrops 0.13.0  several minor fixes and improvements
    Most notably, this release is necessary for Ruby 2.2 (dev).
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Tue Sep  3 2013 coolo@suse.com
- updated to version 0.12.0, see ChangeLog
* Fri May 24 2013 coolo@suse.com
- updated to version 0.11.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.10.0
* Sat Jul  2 2011 ammler@openttdcoop.org
- initial gems version 0.7.0
